
eole-exim - Tâche #11343

Désactiver le SSLv3 sur Exim

04/20/2015 03:34 PM - Joël Cuissinat

Status: Fermé Start date: 04/20/2015

Priority: Normal Due date:  

Assigned To: Laurent Flori % Done: 100%

Target version: Sprint 2015 49-51 - Équipe MENESR Estimated time: 2.00 hours

  Spent time: 4.33 hours

Description

Associated revisions

Revision db72b696 - 12/02/2015 09:44 AM - Laurent Flori

Desactivation de ssl3 et des chaines de chiffrement faibles

fixes: #11343 @1h

Revision d8a02e1c - 12/02/2015 09:48 AM - Laurent Flori

Désactivation de ssl3 et des chaines de chiffrement faibles

fixes: #11343 @1h

History

#1 - 11/30/2015 09:34 AM - Laurent Flori

- Assigned To set to Laurent Flori

#2 - 12/01/2015 10:14 AM - Scrum Master

- Status changed from Nouveau to En cours

#3 - 12/02/2015 10:01 AM - Laurent Flori

- Status changed from En cours to Résolu

- % Done changed from 0 to 100

Appliqué par commit db72b69672e0a83e189768b40baeff61a8951d04.

#4 - 12/02/2015 10:04 AM - Laurent Flori

Appliqué par commit d8a02e1c0b5f807909ff397e3054ac7fd8976616.

#5 - 12/04/2015 04:26 PM - Joël Cuissinat

- Remaining (hours) changed from 2.0 to 0.5

Avant (2.5.1) :

root@scribe:~# echo | openssl s_client -quiet -connect localhost:smtp -starttls smtp -ssl3

depth=0 C = FR, O = Ministere Education Nationale (MENESR), OU = 110 043 015, OU = ac-test, CN = scribe.et

b1.lan

verify error:num=20:unable to get local issuer certificate
verify return:1

depth=0 C = FR, O = Ministere Education Nationale (MENESR), OU = 110 043 015, OU = ac-test, CN = scribe.et

b1.lan

verify error:num=27:certificate not trusted

verify return:1

depth=0 C = FR, O = Ministere Education Nationale (MENESR), OU = 110 043 015, OU = ac-test, CN = scribe.et

b1.lan

verify error:num=21:unable to verify the first certificate

verify return:1

250 HELP

500 unrecognized command

Après (2.5.2) :

root@scribe:~# echo | openssl s_client -quiet -connect localhost:smtp -starttls smtp -ssl3

140696479614624:error:1409E0E5:SSL routines:SSL3_WRITE_BYTES:ssl handshake failure:s3_pkt.c:598:

#6 - 12/04/2015 05:06 PM - Joël Cuissinat

- Status changed from Résolu to Fermé

- Remaining (hours) changed from 0.5 to 0.0
